Index: uspace/lib/c/generic/adt/hash_table.c
===================================================================
--- uspace/lib/c/generic/adt/hash_table.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ uspace/lib/c/generic/adt/hash_table.c	(revision f1380b76772fb5d1aa03637b5e57bd9b929fea61)
@@ -96,14 +96,14 @@
 	assert(h);
 	assert(op && op->hash && op->key_hash && op->key_equal);
-	
+
 	/* Check for compulsory ops. */
 	if (!op || !op->hash || !op->key_hash || !op->key_equal)
 		return false;
-	
+
 	h->bucket_cnt = round_up_size(init_size);
-	
+
 	if (!alloc_table(h->bucket_cnt, &h->bucket))
 		return false;
-	
+
 	h->max_load = (max_load == 0) ? HT_MAX_LOAD : max_load;
 	h->item_cnt = 0;
@@ -115,5 +115,5 @@
 		h->op->remove_callback = nop_remove_callback;
 	}
-	
+
 	return true;
 }
@@ -128,7 +128,7 @@
 	assert(h && h->bucket);
 	assert(!h->apply_ongoing);
-	
+
 	clear_items(h);
-	
+
 	free(h->bucket);
 
@@ -159,7 +159,7 @@
 	assert(h && h->bucket);
 	assert(!h->apply_ongoing);
-	
+
 	clear_items(h);
-	
+
 	/* Shrink the table to its minimum size if possible. */
 	if (HT_MIN_BUCKETS < h->bucket_cnt) {
@@ -173,15 +173,15 @@
 	if (h->item_cnt == 0)
 		return;
-	
+
 	for (size_t idx = 0; idx < h->bucket_cnt; ++idx) {
 		list_foreach_safe(h->bucket[idx], cur, next) {
 			assert(cur);
 			ht_link_t *cur_link = member_to_inst(cur, ht_link_t, link);
-			
+
 			list_remove(cur);
 			h->op->remove_callback(cur_link);
 		}
 	}
-	
+
 	h->item_cnt = 0;
 }
@@ -197,7 +197,7 @@
 	assert(h && h->bucket);
 	assert(!h->apply_ongoing);
-	
+
 	size_t idx = h->op->hash(item) % h->bucket_cnt;
-	
+
 	list_append(&item->link, &h->bucket[idx]);
 	++h->item_cnt;
@@ -220,7 +220,7 @@
 	assert(h->op && h->op->hash && h->op->equal);
 	assert(!h->apply_ongoing);
-	
+
 	size_t idx = h->op->hash(item) % h->bucket_cnt;
-	
+
 	/* Check for duplicates. */
 	list_foreach(h->bucket[idx], link, ht_link_t, cur_link) {
@@ -232,9 +232,9 @@
 			return false;
 	}
-	
+
 	list_append(&item->link, &h->bucket[idx]);
 	++h->item_cnt;
 	grow_if_needed(h);
-	
+
 	return true;
 }
@@ -251,5 +251,5 @@
 {
 	assert(h && h->bucket);
-	
+
 	size_t idx = h->op->key_hash(key) % h->bucket_cnt;
 
@@ -264,5 +264,5 @@
 		}
 	}
-	
+
 	return NULL;
 }
@@ -306,12 +306,12 @@
 	assert(h && h->bucket);
 	assert(!h->apply_ongoing);
-	
+
 	size_t idx = h->op->key_hash(key) % h->bucket_cnt;
 
 	size_t removed = 0;
-	
+
 	list_foreach_safe(h->bucket[idx], cur, next) {
 		ht_link_t *cur_link = member_to_inst(cur, ht_link_t, link);
-		
+
 		if (h->op->key_equal(key, cur_link)) {
 			++removed;
@@ -323,5 +323,5 @@
 	h->item_cnt -= removed;
 	shrink_if_needed(h);
-	
+
 	return removed;
 }
@@ -353,10 +353,10 @@
 	assert(f);
 	assert(h && h->bucket);
-	
+
 	if (h->item_cnt == 0)
 		return;
-	
+
 	h->apply_ongoing = true;
-	
+
 	for (size_t idx = 0; idx < h->bucket_cnt; ++idx) {
 		list_foreach_safe(h->bucket[idx], cur, next) {
@@ -372,5 +372,5 @@
 out:
 	h->apply_ongoing = false;
-	
+
 	shrink_if_needed(h);
 	grow_if_needed(h);
@@ -381,9 +381,9 @@
 {
 	size_t rounded_size = HT_MIN_BUCKETS;
-	
+
 	while (rounded_size < size) {
 		rounded_size = 2 * rounded_size + 1;
 	}
-	
+
 	return rounded_size;
 }
@@ -393,9 +393,9 @@
 {
 	assert(pbuckets && HT_MIN_BUCKETS <= bucket_cnt);
-		
+
 	list_t *buckets = malloc(bucket_cnt * sizeof(list_t));
 	if (!buckets)
 		return false;
-	
+
 	for (size_t i = 0; i < bucket_cnt; i++)
 		list_initialize(&buckets[i]);
@@ -435,9 +435,9 @@
 	assert(h && h->bucket);
 	assert(HT_MIN_BUCKETS <= new_bucket_cnt);
-	
+
 	/* We are traversing the table and resizing would mess up the buckets. */
 	if (h->apply_ongoing)
 		return;
-	
+
 	list_t *new_buckets;
 
@@ -445,5 +445,5 @@
 	if (!alloc_table(new_bucket_cnt, &new_buckets))
 		return;
-	
+
 	if (0 < h->item_cnt) {
 		/* Rehash all the items to the new table. */
@@ -458,5 +458,5 @@
 		}
 	}
-	
+
 	free(h->bucket);
 	h->bucket = new_buckets;
